Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# RTCP_BYE_Packet Class Reference

The BYE RTCP packet is sent by a party when leaving an RTP session. More...

`#include <RTCP_Packet.h>`

Inheritance diagram for RTCP_BYE_Packet:

[legend]
Collaboration diagram for RTCP_BYE_Packet:

[legend]
List of all members.

## Public Methods
| RTCP_BYE_Packet (ACE_UINT32 *srcList, unsigned char length, const char *text=0)
| Constructor for outgoing BYE RTCP packets. Takes a synchronization source id list, the list length (1 for non-mixers), and an optional reason for leaving the session. More...
| RTCP_BYE_Packet (char *buffer, int *len)
| Constructor for incoming BYE RTCP packets. More...
virtual | ~RTCP_BYE_Packet (void)
| Destructor. More...
unsigned int | packet_size (void)
| Returns the size of the packet in bytes. More...
void | ssrc_list (ACE_UINT32 **ssrc_list, unsigned char &length)
| Returns a pointer to a local list of synchronization source ids that are leaving the session. More...
const char * | reason (void)
| Returns the reason for leaving the session. More...
void | dump (void)
| Prints the contents of the packet. More...
## Private Methods
void | build_packet ()
| Used to create the byte representation of the RTCP packet. More...
## Private Attributes
ACE_UINT32 * | ssrc_list_
| List of synchronization source ids that are leaving the session. More...
unsigned char | ssrc_list_length_
| The number of ssrc's that are leaving the session (1 for non-mixers). More...
char | reason_ [256]
| An optional reason for leaving the session. More...
unsigned char | reason_length_
| The number of bytes in the reason for leaving the session. More...

## Detailed Description

The BYE RTCP packet is sent by a party when leaving an RTP session.

## Constructor & Destructor Documentation

RTCP_BYE_Packet::RTCP_BYE_Packet | ( | ACE_UINT32 * | ssrc_list,
|  | unsigned char | length,
|  | const char * | text = 0
| ) |

| Constructor for outgoing BYE RTCP packets. Takes a synchronization source id list, the list length (1 for non-mixers), and an optional reason for leaving the session.

RTCP_BYE_Packet::RTCP_BYE_Packet | ( | char * | buffer,
|  | int * | len
| ) |

| Constructor for incoming BYE RTCP packets.

RTCP_BYE_Packet::~RTCP_BYE_Packet | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

void RTCP_BYE_Packet::build_packet | ( | void |  | ) | `[private, virtual]`

| Used to create the byte representation of the RTCP packet. Reimplemented from RTCP_Packet.

void RTCP_BYE_Packet::dump | ( | void |  | ) |

| Prints the contents of the packet.

unsigned int RTCP_BYE_Packet::packet_size | ( | void |  | ) | `[virtual]`

| Returns the size of the packet in bytes. Reimplemented from RTCP_Packet.

const char * RTCP_BYE_Packet::reason | ( | void |  | ) |

| Returns the reason for leaving the session.

void RTCP_BYE_Packet::ssrc_list | ( | ACE_UINT32 ** | ssrc_list,
|  | unsigned char & | length
| ) |

| Returns a pointer to a local list of synchronization source ids that are leaving the session.

## Member Data Documentation

char RTCP_BYE_Packet::reason_[256]`[private]`

| An optional reason for leaving the session.

unsigned char RTCP_BYE_Packet::reason_length_`[private]`

| The number of bytes in the reason for leaving the session.

ACE_UINT32* RTCP_BYE_Packet::ssrc_list_`[private]`

| List of synchronization source ids that are leaving the session.

unsigned char RTCP_BYE_Packet::ssrc_list_length_`[private]`

| The number of ssrc's that are leaving the session (1 for non-mixers).

The documentation for this class was generated from the following files:

- RTCP_Packet.h
- RTCP_Packet.cpp